=== debian/changelog ===
c-blosc2 (2.17.1+ds-2) unstable; urgency=medium

  * debian/patches:
    - New 0002-glibc242-compat.patch (Closes: 1115531).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 17 Sep 2025 21:34:48 +0000

c-blosc2 (2.17.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Standards version bumped to 4.7.2, no chenges.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 29 Mar 2025 11:18:00 +0000
