=== debian/control ===
Source: c-blosc2
Priority: optional
Section: libs
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Build-Depends: dpkg-dev (>= 1.22.5),
               debhelper-compat (= 13),
               cmake,
               dh-cmake-compat (= 1),
               dh-sequence-cmake,
               dh-sequence-sphinxdoc,
               dh-sequence-pkgkde-symbolshelper,
               liblz4-dev,
               pkg-kde-tools,
               zlib1g-dev,
               libzstd-dev,
               python3-breathe <!nodoc>,
               python3-pydata-sphinx-theme <!nodoc>,
               python3-sphinx <!nodoc>
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://blosc.org/
Vcs-Browser: https://salsa.debian.org/science-team/c-blosc2
Vcs-Git: https://salsa.debian.org/science-team/c-blosc2.git
Description: Fast, compressed, persistent binary data store library for C
 Blosc is a high performance compressor optimized for binary data. It has been
 designed to transmit data to the processor cache faster than the traditional,
 non-compressed, direct memory fetch approach via a memcpy() OS call. Blosc
 main goal is not just to reduce the size of large datasets on-disk or
 in-memory, but also to accelerate memory-bound computations.
 .
 C-Blosc2 is the new major version of C-Blosc, and tries hard to be backward
 compatible with both the C-Blosc1 API and its in-memory format. However, the
 reverse thing is generally not true for the format; buffers generated with
 C-Blosc2 are not format-compatible with C-Blosc1 (i.e. forward compatibility
 is not supported). In case you want to ensure full API compatibility with
 C-Blosc1 API, define the BLOSC1_COMPAT symbol.


Package: libblosc2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libblosc2-4 (= ${binary:Version}),
         ${misc:Depends}
Description: ${source:Synopsis} (development files)
 ${source:Extended-Description}
 .
 This package contains the development files required to build programs against
 Blosc2.

Package: libblosc2-4
X-Time64-Compat: libblosc2-4
Provides: ${t64:Provides}
Multi-Arch: same
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: ${source:Synopsis}
 ${source:Extended-Description}
