## c-blosc2 2.22.0%2Bds

=== debian/changelog ===
c-blosc2 (2.22.0+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update d/copyright file.
  * debian/control:
    - Drop "Rules-Requires-Root: no".
  * debian/patches:
    - Drop 0002-glibc242-compat.patch, applied upstream.
    - Refresh remaining patches.
    - New 0002-Link-shared-libzstd.patch.
  * soversion bump. Package renamed from libblosc2-4 into libblosc2-6.
  * Update d/libblosc2-dev.docs.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 07 Dec 2025 11:18:10 +0000
