## c-blosc2 2.22.0+ds

=== debian/changelog ===
c-blosc2 (2.22.0+ds-1) unstable; urgency=medium

  * Upload to unstable.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 13 Dec 2025 09:39:29 +0000
