## c-blosc2 2.23.0%2Bds

=== debian/changelog ===
c-blosc2 (2.23.0+ds-1~exp2) experimental; urgency=medium

  * debian/patches:
    - New 0004-Fix-pkgconfig-file.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 15 Feb 2026 21:57:42 +0100

c-blosc2 (2.23.0+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update d/copyright.
  * debian/rules:
    - Always prefer external libs.
  * debian/patches:
    - Refresh all patches.
    - New 0003-Fix-privacy-breaches.patch.
  * SOVERSION bump. Package renamed from libblosc2-6 into libblosc2-7.
  * Bump Standards-Version to 4.7.3, changes: priority.
  * Drop Priority: optional, default since dpkg 1.22.13.
  * New libblosc2-doc package.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 07 Feb 2026 20:17:49 +0000
