## c-blosc2 2.23.0+ds

=== debian/changelog ===
c-blosc2 (2.23.0+ds-1) unstable; urgency=medium

  * Upload to unstable.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 18 Feb 2026 06:19:27 +0000
