=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,18 @@
 	-DDEACTIVATE_AVX2=ON \
 	-DDEACTIVATE_AVX512=ON \
 	-DPREFER_EXTERNAL_LZ4=ON \
+	-DPREFER_EXTERNAL_OPENZL=ON \
 	-DPREFER_EXTERNAL_ZSTD=ON \
 	-DPREFER_EXTERNAL_ZLIB=ON
+
+execute_after_dh_auto_build-indep:
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+	cp -r images doc/images
+	env http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
+	sphinx-build -N -E -T -b html doc doc/_build/html/
+	$(RM) -r doc/_build/html/.doctrees
+	$(RM) -r doc/_build/html/_static/vendor
+endif
 
 override_dh_makeshlibs:
 	dh_makeshlibs -- -v$(UPSTREAM_VERSION) -c0
